Datasets
GET
/v1/orgs/{org_id}/datasets/catalogGet Dataset Catalog Route
Return the catalog of bundled ZNYX samples + industry-standard benchmarks with a `present` flag per item based on what's already in this org. Used by the Datasets page's "Browse catalog" modal.
Runtime, CI or Admin tokenscope: readoperation_id: datasets.catalog
Authentication
Any bearer token belonging to the org can read this endpoint.
SDK install
pip install znyx-sdknpm install @znyx/sdkPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id#path | string | required | — |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-API-Key#header | string | null | optional | — |
| authorization#header | string | null | optional | — |
Responses
| Status | Description |
|---|---|
| 200 | Successful Response |
| 422 | Validation Error |
Response schema
any
Errors & what triggers them
| Code | Trigger | Fix |
|---|---|---|
| 401 | Missing or expired Authorization header. | — |
| 403 | Token does not have org access (wrong org_id, or insufficient role). | — |
| 404 | Resource does not exist in this org. | — |
Request
curl -X GET 'https://api.znyx.ai/v1/orgs/00000000-0000-0000-0000-000000000000/datasets/catalog' \ -H 'Authorization: Bearer $ZNYX_TOKEN'
Response
application/json
Successful Response
null
Schema: any